### Method

# GdkPixbuf Pixbuf save_to_stream_async

#### Declaration [src]

    void
    gdk_pixbuf_save_to_stream_async (
      GdkPixbuf* pixbuf,
      GOutputStream* stream,
      const gchar* type,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data,
      ...
    )

#### Description [src]

Saves `pixbuf` to an output stream asynchronously.

For more details see gdk_pixbuf_save_to_stream(), which is the synchronous version of this function.

When the operation is finished, `callback` will be called in the main thread.

You can then call `gdk_pixbuf_save_to_stream_finish()` to get the result of the operation.

Available since: | 2.24
This method is not directly available to language bindings.

#### Parameters

`stream` | `GOutputStream`
| A `GOutputStream` to which to save the pixbuf.
| The data is owned by the caller of the function.
`type` | `const gchar*`
| Name of file format.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable` object, `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the pixbuf is saved.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to the callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`...` | ``
| List of key-value save options.